View Issue Details

IDProjectCategoryView StatusLast Update
0014994ScribusGraphics / Image Framespublic2017-12-20 20:58
ReporterLuna Nightshade Assigned Tojghali  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0014994: DPI settings for Render frames using gnuplot
DescriptionThe DPI-Setting for the Renderframe, when using gnuplot at least, is ignored.
Changing the preamble from
"set term png transparent enhanced size $scribus_realwidth_px$,$scribus_realheight_px$" to "set term png transparent enhanced size $scribus_width_px$,$scribus_height_px$" in the according 200_gnuplot.xml fixes that issue, but ...
Scribus then handles the image still as if it had just 72 dpi - and the picture settings (F2) can't be changed from within Scribus.

Using Scribus 1.5.3 and gnuplot 5.0 patchlevel 5. OS Windows 10.
Steps To ReproduceJust create a renderframe for gnuplot, plot something, and set DPI to, for example, 300 dpi.
Tagsrender frames
PatchNo

Activities

jghali

2017-09-23 21:10

administrator   ~0044448

I fixed the issues in r22161.Changing dpi in source editor will now have a clear effect with gnuplot.

Some precisions tho:

>> Scribus then handles the image still as if it had just 72 dpi

Scribus import all image in lower resolution for memory management reasons. The preview resolution can be changed by right clicking on render/image frame and adjusting preview resolution. Generally this not advised because the higher memory load increase the risk of out of memory crashed in document using lots of images.

>> the picture settings (F2) can't be changed from within Scribus.

Yes, they can't be changed, because for render frames they are determined by the render frame width/height and dimensions of image produced by rendering tool.

Luna Nightshade

2017-10-05 13:45

reporter   ~0044484

Well, I tried the 1.5.4svn version from today, and I still run into the same problem:
The renderframe is put on the page using the "image"-setting of 30 dpi, although gnuplot renders it with 300 dpi - it currently only shows a small portion of the upper left corner of the generated image, and even warns that the dpi-setting is too low for print.

This has nothing to do with how the image is displayed on screen ...

jghali

2017-10-05 14:46

administrator   ~0044485

>> it currently only shows a small portion of the upper left corner of the generated image, and even warns that the dpi-setting is too low for print.

Check "Force DPI" option in File -> Preference > External Tools > Render Frames.

Luna Nightshade

2017-10-05 14:57

reporter   ~0044486

I may be dumb, but scrivener does not change it's behaviour, even though I checked that box ...

jghali

2017-10-05 15:50

administrator   ~0044487

I cannot give any help about scrivener as I don't known how it works and how you configured scribus to use it in render frames.

Luna Nightshade

2017-10-05 21:07

reporter   ~0044488

I meant scribus, sorry.
I'll make a few screenshots sometime this week to show what I mean - pictures tell more than my poor wording does.

Luna Nightshade

2017-10-05 21:26

reporter   ~0044489

Please excuse the german interface ...
Here is the first one: http://nmeuter.de/file.library/test/scribus-gnuplot-1.jpg
Force DPI is set in File -> Preference > External Tools > Render Frames

Then, right clicking on the render frame and editing the "contents", I also set there that it should have 300 DPI
http://nmeuter.de/file.library/test/scribus-gnuplot-2.jpg

But, as you see here:
http://nmeuter.de/file.library/test/scribus-gnuplot-3.jpg
The generated picture is set at only 96 dpi. This value can't be changed in the gui. It can also not be set to conform to the height / width of the frame. This can be done, however by editing the .sla file, but that leads to other problems.

I hope I could elaborate the problem a bit better with those screenshots.
Thank you for listening and your patience

jghali

2017-10-06 20:31

administrator   ~0044499

After more tests, I found that your scaling issue was triggered when setting resolution in preferences to a value different from 72 dpi. This issue is now fixed and I have uploaded new snapshots for Windows on sourceforge.

Luna Nightshade

2017-10-08 07:01

reporter   ~0044508

It works, but you have to set the desired setting for the render frames before creating them; They are not updated after the fact (But can now be updated manually by right-clicking - but only newly created ones).

Would it not be easier to have the generated image always confirm to the render frame's size, as the calculated size is (or can be) passed to the external program anyways?

Thank you for looking into this!

Issue History

Date Modified Username Field Change
2017-09-20 15:38 Luna Nightshade New Issue
2017-09-20 15:38 Luna Nightshade Tag Attached: render frames
2017-09-23 21:03 jghali Summary DPI-Settings for Renderframe using gnuplot => DPI settings for Render frames using gnuplot
2017-09-23 21:10 jghali Assigned To => jghali
2017-09-23 21:10 jghali Status new => resolved
2017-09-23 21:10 jghali Resolution open => fixed
2017-09-23 21:10 jghali Fixed in Version => 1.5.4.svn
2017-09-23 21:10 jghali Note Added: 0044448
2017-10-05 13:45 Luna Nightshade Note Added: 0044484
2017-10-05 14:46 jghali Note Added: 0044485
2017-10-05 14:57 Luna Nightshade Note Added: 0044486
2017-10-05 15:50 jghali Note Added: 0044487
2017-10-05 21:07 Luna Nightshade Note Added: 0044488
2017-10-05 21:26 Luna Nightshade Note Added: 0044489
2017-10-06 20:31 jghali Note Added: 0044499
2017-10-08 07:01 Luna Nightshade Note Added: 0044508
2017-12-20 20:58 cbradney Status resolved => closed